EDIT - bug #9776

Enforce cdm webservice access via https when pages are requested via this schema
09/20/2021 04:38 PM - Andreas Kohlbecker

Status: Closed Start date: 03/28/2022
Priority: Highest Due date: 03/31/2022
Assignee: Katja Luther % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.31

Severity: critical Found in Version:

Description

Original subject "kml layer request for https page causes mixed content problem"
e.g. https://cichorieae.e-taxonomy.net/portal/cdm_dataportal/taxon/ecb7a76e-694a-4706-b1ab-a2eb334173ff/specimens
==>

Blocked loading mixed active content “http://api.cybertaxonomy.org/cichorieae/kml/taxonOccurrences
For/ecb7a76e-694a-4706-blab-a2eb334173ff?relationshipsInvers=&relationships="

Associated revisions

Revision 6¢55¢1d0 - 09/20/2021 10:34 PM - Andreas Kohlbecker

ref #9776 enfocing https for webservice requests and notifying user about misconfiguration

Revision 79ce0b2b - 04/06/2022 02:27 PM - Katja Luther

use https for kml icons

History

#1 - 09/20/2021 04:45 PM - Andreas Kohlbecker
- % Done changed from 0 to 10

The solution to this problem is to use https also for the "CDM web service URL".
This should be enforced automatically if the website is being accessd via https.

#2 - 09/20/2021 04:46 PM - Andreas Kohlbecker

- Subject changed from kml layer request for https page causes mixed content problem to Enforce cdm websservice access via httos when pages are
requested via this schema

- Description updated

#3 - 03/03/2022 02:44 PM - Andreas Miiller

- Subject changed from Enforce cdm websservice access via https when pages are requested via this schema to Enforce cdm webservice access via
https when pages are requested via this schema

#4 - 03/04/2022 05:52 PM - Andreas Miiller
- Tags changed from https to https, 5.31

- Assignee changed from Andreas Kohlbecker to Katja Luther

#5 - 03/11/2022 11:31 AM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.31

#6 - 03/11/2022 02:51 PM - Andreas Miller
- Due date set to 03/31/2022
- Start date set to 03/28/2022

#7 - 03/21/2022 11:18 PM - Andreas Miiller
https://cichorieae.e-taxonomy.net/portal/cdm_dataportal/taxon/ecb7a76e-694a-4706-b1ab-a2eb334173ff/specimens

- Tags changed from https, 5.31 to https

#10 - 04/06/2022 01:29 PM - Katja Luther

Now all webservice calls are redirected to https, but the warning still exist for the maps on specimen page.

#11 - 04/06/2022 10:42 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 10 to 30

#12 - 04/07/2022 10:03 AM - Katja Luther
- Target version changed from Release 5.31 to Release 5.32

- % Done changed from 30 to 70

The uris of the icons for the maps moved to https. We may check whether there are still elements called with http, but | think these icons were the
only things called without https.
After release we should have a look and if everything is ok, we can move this ticket back to 5.31.

#13 - 04/07/2022 02:03 PM - Katja Luther
- Status changed from In Progress to Closed

- Target version changed from Release 5.32 to Release 5.31
This works now.

#14 - 04/07/2022 02:23 PM - Andreas Miiller
- % Done changed from 70 to 100
